> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetocrm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get company

> Retrieve a single company by its ID.

<Info>Replace `{your-subdomain}` with your workspace's subdomain. <br /> Learn how to find your subdomain in [Workspace subdomain](/getting-started/workspace-subdomain).</Info>


## OpenAPI

````yaml /bundled/companies.yaml GET /companies/{id}
openapi: 3.0.3
info:
  title: NeetoCRM Companies APIs
  version: 2.0.0
servers:
  - description: NeetoCRM APIs
    url: https://{your-subdomain}.neetocrm.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/getting-started/workspace-subdomain).
security: []
tags:
  - name: Companies
    description: APIs to manage companies in your workspace.
paths:
  /companies/{id}:
    get:
      tags:
        - Companies
      summary: Get company
      description: Retrieve a single company by its ID.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - name: id
          in: path
          required: true
          description: >-
            The ID of the company to retrieve. You can get the company `id` by
            listing all companies using our [List all
            companies](/api-reference/companies/list) API.
          schema:
            type: string
      responses:
        '200':
          description: Successfully retrieved the company.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/company_response'
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/getting-started/authentication) for more information.
      required: true
      schema:
        type: string
  schemas:
    company_response:
      type: object
      properties:
        company:
          $ref: '#/components/schemas/company'
      example:
        company:
          id: a1b2c3d4-e5f6-7890-abcd-ef1234567890
          name: Eve Corp
          address: 123 Main St, New York, NY
          source: null
          tags: []
          created_at: '2025-03-15T10:30:00.000Z'
          updated_at: '2025-03-15T10:30:00.000Z'
    company:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the company.
        name:
          type: string
          description: Name of the company.
        address:
          type: string
          nullable: true
          description: Address of the company.
        source:
          type: string
          nullable: true
          description: Source of the company.
        tags:
          type: array
          items:
            $ref: '#/components/schemas/tag'
          description: Tags associated with the company.
        created_at:
          type: string
          format: date-time
          description: Timestamp when the company was created.
        updated_at:
          type: string
          format: date-time
          description: Timestamp when the company was last updated.
    tag:
      type: object
      properties:
        id:
          type: string
          description: Unique identifier for the tag.
        name:
          type: string
          description: Name of the tag.
        style:
          type: string
          description: Style/color of the tag.

````